<!-- Exit if accessed directly -->
<?php if ( ! defined( 'ABSPATH' ) ) exit; ?>

<div class="pms-summary-section pms-other-currencies-section<?php echo ( $previous ? '-previous' : '' ) ?>" id="pms_other_currencies_section">
    <div class="cozmoslabs-form-field-wrapper cozmoslabs-toggle-switch">
        <label class="pms-form-field-label cozmoslabs-form-field-label" title="<?php echo esc_html__( 'Total earnings for the selected period', 'paid-member-subscriptions' ); ?>"><?php echo esc_html__( 'Total Earnings', 'paid-member-subscriptions' ); ?></label>

        <div class="pms-total-container" id="total-earnings-amount">

            <?php

            $payments_amount_displayed = false;

            if ( !empty( $summary_data['payments_amount'] ) ) {

                foreach ( $summary_data['payments_amount'] as $currency => $amount ) {

                    // skip data display for default currency
                    if ( $currency === $summary_data['default_currency'] )
                        continue;

                    echo '<div class="pms-currency pms-currency-amount">';
                        echo '<p style="margin: 0;">' . esc_html( pms_format_price( $amount, $currency ) ) . '</p>';

                        echo '<div class="pms-currency-difference">';

                            if( !empty( $results_arrow[$currency]['payments_amount']['present'] ) && !$previous ){ ?>

                                <img class="pms-arrow" alt="pms-arrow" src="<?php echo esc_html( $results_arrow[$currency]['payments_amount']['present'] ); ?>">

                                <span style="
                                <?php
                                if( $results_arrow[$currency]['payments_amount']['difference'] > 0 )
                                    echo 'color: red';
                                elseif( $results_arrow[$currency]['payments_amount']['difference'] < 0 )
                                    echo 'color: green';
                                ?>">
                                    <?php echo '(' . esc_html( number_format( $results_arrow[$currency]['payments_amount']['percent'], 2 ) ) . '%)'; ?>
                                </span>

                            <?php }

                        echo '</div>';

                    echo '</div>';

                    $payments_amount_displayed = true;

                }

            }

            if ( !$payments_amount_displayed )
                echo '<p class="pms-currency-amount" style="margin: 0;">0</p>';

            ?>

        </div>
    </div>

    <div class="cozmoslabs-form-field-wrapper cozmoslabs-toggle-switch">
        <label class="pms-form-field-label cozmoslabs-form-field-label" title="<?php echo esc_html__( 'Total number of payments for the selected period', 'paid-member-subscriptions' ); ?>"><?php echo esc_html__( 'Total Payments', 'paid-member-subscriptions' ); ?></label>

        <div class="pms-total-container" id="total-payments-count">

            <?php

            $payments_count_displayed = false;

            if ( !empty( $summary_data['payments_count'] ) ) {

                foreach ( $summary_data['payments_count'] as $currency => $count ) {

                    // skip data display for default currency
                    if ( $currency === $summary_data['default_currency'] )
                        continue;

                    echo '<div class="pms-currency pms-currency-count">';

                        echo '<p style="margin: 0;">' . esc_html( $currency ) . ': '. esc_html( $count ) .'</p>';

                        echo '<div class="pms-currency-difference">';

                        if( !empty( $results_arrow[$currency]['payments_count']['present'] ) && !$previous ){ ?>

                            <img class="pms-arrow" alt="pms-arrow" src="<?php echo esc_html( $results_arrow[$currency]['payments_count']['present'] ); ?>">

                            <span style="
                            <?php
                            if( $results_arrow[$currency]['payments_count']['difference'] > 0 )
                                echo 'color: red';
                            elseif( $results_arrow[$currency]['payments_count']['difference'] < 0 )
                                echo 'color: green';
                            ?>">
                                <?php echo '(' . esc_html( number_format( $results_arrow[$currency]['payments_count']['percent'], 2 ) ) . '%)'; ?>
                            </span>

                        <?php }

                        echo '</div>';

                    echo '</div>';

                    $payments_count_displayed = true;

                }

            }

            if ( !$payments_amount_displayed )
                echo '<p class="pms-currency-count" style="margin: 0;">0</p>';

            ?>

        </div>

    </div>

    <div class="cozmoslabs-form-field-wrapper cozmoslabs-toggle-switch">
        <label class="pms-form-field-label cozmoslabs-form-field-label" title="<?php echo esc_html__( 'Total earnings of completed payments for the selected period', 'paid-member-subscriptions' ); ?>"><?php echo esc_html__( 'New Revenue', 'paid-member-subscriptions' ); ?></label>

        <div class="pms-total-container" id="new-revenue-amount">

            <?php

            $total_completed_payments_displayed = false;

            if ( !empty( $summary_data['total_completed_payments'] ) ) : ?>

                <?php foreach ( $summary_data['total_completed_payments'] as $currency => $amount ) :

                    // skip data display for default currency
                    if ( $currency === $summary_data['default_currency'] )
                        continue;

                    ?>

                    <div class="pms-currency pms-currency-new-revenue">

                        <p style="margin: 0;" title="<?php

                        if( $summary_data['payments_amount'][$currency] != 0 )
                            $completed_payments_percent = ( 100 * $amount ) / $summary_data['payments_amount'][$currency];
                        else $completed_payments_percent = 0;

                        echo '(' . esc_html( number_format( $completed_payments_percent, 2 ) ) . '%)';

                        ?>">
                            <?php echo esc_html( pms_format_price( $summary_data['total_completed_payments'][$currency], $currency ) ); ?>
                        </p>



                        <div class="pms-currency-difference">

                            <?php if( !empty( $results_arrow[$currency]['total_completed_payments']['present'] ) && !$previous ) : ?>

                                <img class="pms-arrow" alt="pms-arrow" src="<?php echo esc_html( $results_arrow[$currency]['total_completed_payments']['present'] ); ?>">

                                <span style="
                                            <?php
                                if( $results_arrow[$currency]['total_completed_payments']['difference'] > 0 )
                                    echo 'color: red';
                                elseif( $results_arrow[$currency]['total_completed_payments']['difference'] < 0 )
                                    echo 'color: green';
                                ?>">
                                    <?php echo '(' . esc_html( number_format( $results_arrow[$currency]['total_completed_payments']['percent'], 2 ) ) . '%)'; ?>
                                </span>

                            <?php endif; ?>

                        </div>

                    </div>

                <?php

                    $total_completed_payments_displayed = true;

                endforeach; ?>

            <?php endif; ?>

            <?php if ( !$total_completed_payments_displayed ) : ?>

                <p class="pms-currency-new-revenue" style="margin: 0;" title="<?php echo '(' . esc_html( number_format( 0, 2 ) ) . '%)'; ?>">0</p>

            <?php endif; ?>


        </div>

    </div>

    <div class="cozmoslabs-form-field-wrapper cozmoslabs-toggle-switch">
        <label class="pms-form-field-label cozmoslabs-form-field-label" title="<?php echo esc_html__( 'Total earnings of recurring payments for the selected period', 'paid-member-subscriptions' ); ?>"><?php echo esc_html__( 'Recurring Revenue', 'paid-member-subscriptions' ); ?></label>

        <div class="pms-total-container" id="recurring-revenue-amount">

            <?php

            $total_recurring_payments_displayed = false;

            if ( !empty( $summary_data['total_recurring_payments'] ) ) : ?>

                <?php foreach ( $summary_data['total_recurring_payments'] as $currency => $amount ) :

                    // skip data display for default currency
                    if ( $currency === $summary_data['default_currency'] )
                        continue;

                    ?>

                    <div class="pms-currency pms-currency-recurring-revenue">

                        <p style="margin: 0 0 5px 0;" title="<?php

                        if( $summary_data['payments_amount'][$currency] != 0)
                            $recurring_payments_percent = ( 100 * $amount ) / $summary_data['payments_amount'][$currency];
                        else $recurring_payments_percent = 0;

                        echo '(' . esc_html( number_format( $recurring_payments_percent, 2 ) ) . '%)';

                        ?>">
                            <?php echo esc_html( pms_format_price( $summary_data['total_recurring_payments'][$currency], $currency ) ); ?>
                        </p>

                        <div class="pms-currency-difference">

                            <?php if( !empty( $results_arrow[$currency]['total_recurring_payments']['present'] ) && !$previous ) : ?>

                                <img class="pms-arrow" alt="pms-arrow" src="<?php echo esc_html( $results_arrow[$currency]['total_recurring_payments']['present'] ); ?>">

                                <span style="
                                            <?php
                                if( $results_arrow[$currency]['total_recurring_payments']['difference'] > 0 )
                                    echo 'color: red';
                                elseif( $results_arrow[$currency]['total_recurring_payments']['difference'] < 0 )
                                    echo 'color: green';
                                ?>">
                                    <?php echo '(' . esc_html( number_format( $results_arrow[$currency]['total_recurring_payments']['percent'], 2 ) ) . '%)'; ?>
                                </span>

                            <?php endif; ?>

                        </div>

                    </div>

                <?php

                    $total_recurring_payments_displayed = true;

                endforeach; ?>

            <?php endif; ?>

            <?php if ( !$total_recurring_payments_displayed ) : ?>

                <p class="pms-currency-recurring-revenue" style="margin: 0 0 5px 0;" title="<?php echo '(' . esc_html( number_format( 0, 2 ) ) . '%)'; ?>">0</p>

            <?php endif; ?>

        </div>

    </div>

    <div class="cozmoslabs-form-field-wrapper cozmoslabs-toggle-switch">
        <label class="pms-form-field-label cozmoslabs-form-field-label" title="<?php echo esc_html__( 'The plan with the most income for the selected period', 'paid-member-subscriptions' ); ?>"><?php echo esc_html__( 'Best Performing Plan', 'paid-member-subscriptions' ); ?></label>
        <?php if( !empty( $summary_data['subscriptions_plans_result'] ) && isset( $summary_data['subscriptions_plans_result'][0] ) ){
            $best_performing_plan = $summary_data['subscriptions_plans_result'][0];
            $best_performing_amount_displayed = false;
            ?>

            <div id="pms-best-performing">
                <span><?php echo esc_html( $best_performing_plan['name'] ); ?></span>
                <span><?php echo esc_html( '-' ); ?></span>

                <div class="best-performing-amount">
                    <?php foreach ( $best_performing_plan['earnings'] as $currency => $amount ) :

                        // skip data display for default currency
                        if ( $currency === $summary_data['default_currency'] )
                            continue;

                    ?>
                        <p style="margin: 0;"><?php echo esc_html( pms_format_price( $amount, $currency ) ); ?></p>
                    <?php
                        $best_performing_amount_displayed = true;

                    endforeach;

                    if ( !$best_performing_amount_displayed ) : ?>
                        <p style="margin: 0;"><?php echo sprintf( esc_html__( '%s payments only', 'paid-member-subscriptions' ), esc_html( $summary_data['default_currency'] ) ); ?></p>
                    <?php endif; ?>


                </div>
            </div>

        <?php }
        else{
            ?>
            <span><?php echo esc_html__( '-', 'paid-member-subscriptions'); ?></span>
            <?php
        }?>
    </div>

    <div class="cozmoslabs-form-field-wrapper pms-gateway-revenue">
        <label class="pms-form-field-label cozmoslabs-form-field-label"><?php echo esc_html__( 'Payment Gateways Revenue', 'paid-member-subscriptions' ); ?></label>
        <ul>
            <?php
            $nr_payment_gateways = 0;
            if( !empty( $summary_data['payment_gateways_result'] ) ){
                foreach ( $summary_data['payment_gateways_result'] as $payment_gateway ){

                    $payment_gateways_result_displayed = false;

                    if( is_array( $payment_gateway['earnings'] ) ){
                        $nr_payment_gateways++;
                        ?>
                        <li>
                            <div class="cozmoslabs-form-field-wrapper cozmoslabs-toggle-switch">
                                <label class="pms-form-field-label cozmoslabs-form-field-label"><?php echo esc_html( $payment_gateway['name'] ); ?></label>

                                <div class="payment-gateway-amount">

                                    <?php foreach ( $payment_gateway['earnings'] as $currency => $amount ) :

                                        // skip data display for default currency
                                        if ( $currency === $summary_data['default_currency'] )
                                            continue;

                                        ?>

                                        <p style="margin: 0 0 5px 0;" title="<?php
                                        if( $summary_data['payments_amount'][$currency] != 0)
                                            $payment_gateway['percent'] = ( 100 * $amount ) / $summary_data['payments_amount'][$currency];
                                        else $payment_gateway['percent'] = 0;

                                        echo '(' . esc_html( number_format( $payment_gateway['percent'], 2 ) ) . '%)';

                                        ?>">
                                            <?php echo esc_html( pms_format_price( $payment_gateway['earnings'][$currency], $currency ) ); ?>
                                        </p>

                                    <?php

                                        $payment_gateways_result_displayed = true;

                                    endforeach; ?>

                                </div>

                                <?php if ( !$payment_gateways_result_displayed ) : ?>

                                    <p class="payment-gateway-amount" style="margin: 0 0 5px -10px;" title="<?php echo '(' . esc_html( number_format( 0, 2 ) ) . '%)'; ?>">0</p>

                                <?php endif; ?>

                            </div>
                        </li>
                        <?php
                    }

                }

                if( $nr_payment_gateways === 0 ){
                    ?>
                    <div class="cozmoslabs-form-field-wrapper">
                        <label class="pms-form-field-label"><?php echo esc_html__( 'There are no payments for the selected period.', 'paid-member-subscriptions'); ?></label>
                    </div>
                    <?php
                }
            }
            else{
                ?>
                <div class="cozmoslabs-form-field-wrapper">
                    <label class="pms-form-field-label"><?php echo esc_html__( 'There aren\'t any gateways activated.', 'paid-member-subscriptions'); ?></label>
                </div>
                <?php
            }
            ?>
        </ul>
    </div>

    <?php if( pms_is_payment_retry_enabled() ){ ?>
        <div class="cozmoslabs-form-field-wrapper pms-payment-retries">
            <label class="pms-form-field-label cozmoslabs-form-field-label"><?php echo esc_html__( 'Payment Retries', 'paid-member-subscriptions' ); ?></label>
            <ul>
                <li>
                    <div class="cozmoslabs-form-field-wrapper">
                        <label class="pms-form-field-label cozmoslabs-form-field-label" title="<?php echo esc_html__( 'Total number of attempts payments for the selected period', 'paid-member-subscriptions' ); ?>"><?php echo esc_html__( 'Attempts Retries', 'paid-member-subscriptions' ); ?></label>
                        <span><?php echo esc_html( $summary_data['total_retry_attempts'] ); ?></span>
                    </div>
                </li>

                <li>
                    <div class="cozmoslabs-form-field-wrapper cozmoslabs-toggle-switch">
                        <label class="pms-form-field-label cozmoslabs-form-field-label" title="<?php echo esc_html__( 'Total number of successful attempts payments for the selected period', 'paid-member-subscriptions' ); ?>"><?php echo esc_html__( 'Successful Retries', 'paid-member-subscriptions' ); ?></label>
                        <span><?php echo esc_html( $summary_data['total_successful_retries'] ); ?></span>
                    </div>
                </li>

                <li>
                    <div class="cozmoslabs-form-field-wrapper cozmoslabs-toggle-switch">
                        <label class="pms-form-field-label cozmoslabs-form-field-label" title="<?php echo esc_html__( 'Total number of recovered payments for the selected period', 'paid-member-subscriptions' ); ?>"><?php echo esc_html__( 'Recovered Revenue', 'paid-member-subscriptions' ); ?></label>

                        <div id="gateway-recovered-amount">

                            <?php

                            $total_recovered_payments_displayed = false;

                            if( !empty( $summary_data['total_recovered_payments'] ) ) : ?>

                                <?php foreach ( $summary_data['total_recovered_payments'] as $currency => $amount ) :

                                    // skip data display for default currency
                                    if ( $currency === $summary_data['default_currency'] )
                                        continue;

                                    ?>

                                    <p style="margin: 0 0 5px 0;"><?php echo esc_html( pms_format_price( $amount, $currency ) ); ?></p>

                                <?php

                                    $total_recovered_payments_displayed = true;

                                endforeach; ?>

                            <?php endif; ?>

                            <?php if ( !$total_recovered_payments_displayed ) : ?>

                                <p class="gateway-recovered-amount" style="margin: 0 0 5px 0;" >0</p>

                            <?php endif; ?>

                        </div>

                    </div>
                </li>
            </ul>
        </div>
    <?php } ?>
</div>