<?php

// Exit if accessed directly
if( ! defined( 'ABSPATH' ) ) exit;

Class PMS_Multiple_Currencies_Base {

    public function __construct(){

        define( 'PMS_IN_MC_PLUGIN_DIR_PATH', plugin_dir_path( __FILE__ ) );
        define( 'PMS_IN_MC_PLUGIN_DIR_URL', plugin_dir_url( __FILE__ ) );

        $this->load_dependencies();

        add_action( 'admin_enqueue_scripts', array( $this, 'admin_scripts' ) );

    }


    /**
     * Load needed files
     *
     */
    private function load_dependencies(){

        if( is_admin() ){
            if( file_exists( PMS_IN_MC_PLUGIN_DIR_PATH . 'admin/class-multiple-currencies-admin.php' ) )
                include PMS_IN_MC_PLUGIN_DIR_PATH . 'admin/class-multiple-currencies-admin.php';
        }

        if( file_exists( PMS_IN_MC_PLUGIN_DIR_PATH . 'includes/functions.php' ) )
            include PMS_IN_MC_PLUGIN_DIR_PATH . 'includes/functions.php';

        if( file_exists( PMS_IN_MC_PLUGIN_DIR_PATH . 'includes/class-multiple-currencies.php' ) )
            include PMS_IN_MC_PLUGIN_DIR_PATH . 'includes/class-multiple-currencies.php';

        if( file_exists( PMS_IN_MC_PLUGIN_DIR_PATH . 'includes/class-currency-converter-base.php' ) )
            include PMS_IN_MC_PLUGIN_DIR_PATH . 'includes/class-currency-converter-base.php';

        if( file_exists( PMS_IN_MC_PLUGIN_DIR_PATH . 'includes/currency-converter/class-exchange-currency-converter.php' ) )
            include PMS_IN_MC_PLUGIN_DIR_PATH . 'includes/currency-converter/class-exchange-currency-converter.php';

        if( file_exists( PMS_IN_MC_PLUGIN_DIR_PATH . 'includes/currency-converter/class-frankfurter-currency-converter.php' ) )
            include PMS_IN_MC_PLUGIN_DIR_PATH . 'includes/currency-converter/class-frankfurter-currency-converter.php'; // LIMITED CURRENCY LIST

        if( file_exists( PMS_IN_MC_PLUGIN_DIR_PATH . 'includes/currency-converter/class-alpha-vantage-currency-converter.php' ) )
            include PMS_IN_MC_PLUGIN_DIR_PATH . 'includes/currency-converter/class-alpha-vantage-currency-converter.php'; // LIMITED TO 25 REQUESTS PER DAY

        if( file_exists( PMS_IN_MC_PLUGIN_DIR_PATH . 'includes/functions-currency-converter.php' ) )
            include PMS_IN_MC_PLUGIN_DIR_PATH . 'includes/functions-currency-converter.php';

    }

    public function admin_scripts( $hook ){

        if( get_post_type() == 'pms-subscription' || $hook === 'paid-member-subscriptions_page_pms-settings-page' ){
            wp_enqueue_script( 'pms-mc-plans-admin-script', PMS_IN_MC_PLUGIN_DIR_URL . 'assets/js/back-end.js', array( 'jquery', 'jquery-ui-dialog' ), PMS_VERSION );
            wp_enqueue_style( 'pms-mc-style-back-end', PMS_IN_MC_PLUGIN_DIR_URL . 'assets/css/back-end.css', array(), PMS_VERSION );
        }

        if( isset( $_GET['page'] ) && ( $_GET['page'] == 'pms-settings-page' || $_GET['page'] == 'pms-reports-page' ) )
            wp_enqueue_style( 'pms-mc-style-back-end', PMS_IN_MC_PLUGIN_DIR_URL . 'assets/css/back-end.css', array(), PMS_VERSION );

    }

}

new PMS_Multiple_Currencies_Base;